<?php

namespace App\Http\Controllers\API\School;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\School;
use Validator, DB, Hash, Mail, URL;

class SchoolController extends Controller
{
    public function index(Request $request){
        $url = url('/');
        $schoolData = DB::table('schools')->select('schools.id','schools.school_name',DB::raw("CONCAT(schools.address,', ',schools.addres_line_2,', ',cities.city_name,', ',states.state_name,', ',countries.country_name,', ',schools.postal_code) AS school_address"),DB::raw("CONCAT('$url','',schools.school_logo) AS school_logo"),DB::raw("CONCAT('$url','',schools.school_image) AS school_main_image"))
                        ->leftJoin('countries', 'schools.country_id', '=', 'countries.id')
                        ->leftJoin('states', 'schools.state_id', '=', 'states.id')
                        ->leftJoin('cities', 'schools.city_id', '=', 'cities.id')
                        ->where('schools.status', '=', 707)
                        ->get();
        
        $result['status']  =  true;
        $result['message'] =  "School list";
        $result['data']    =  $schoolData;
        return response()->json(['result' => $result], 200);
    }

    public function view(Request $request, $id){
        $schoolId = $id;
        $url = url('/');
        $schoolData = DB::table('schools')->select('schools.id','schools.school_name','schools.school_start_time','schools.school_end_time',DB::raw("CONCAT(schools.address,', ',schools.addres_line_2,', ',cities.city_name,', ',states.state_name,', ',countries.country_name,', ',schools.postal_code) AS school_address"),DB::raw("CONCAT('$url','',schools.school_logo) AS school_logo"),DB::raw("CONCAT('$url','',schools.school_image) AS school_main_image"))
                        ->leftJoin('countries', 'schools.country_id', '=', 'countries.id')
                        ->leftJoin('states', 'schools.state_id', '=', 'states.id')
                        ->leftJoin('cities', 'schools.city_id', '=', 'cities.id')
                        ->where('schools.id', '=', $schoolId)
                        ->where('schools.status', '=', 707)
                        ->first();
        
        $schoolArray = array(
            'id'=> $schoolData->id,
            'school_name'=> $schoolData->school_name,
            'school_start_time'=> $schoolData->school_start_time,
            'school_end_time'=> $schoolData->school_end_time,
            'school_address'=> $schoolData->school_address,
            'school_logo'=> $schoolData->school_logo,
            'school_main_image'=> $schoolData->school_main_image
        );
        $schoolArray['info'] = array(
            'about_us'=> 'We are dedicated to holistic excellence and to the development of self-confident individuals of good character who are prepared to embrace diversity, change and lifelong learning.The school aims to create a learning environment that is challenging, diverse, and supportive, where talented, dedicated faculty and students are encouraged to interact in an atmosphere of mutual respect and trust. At NMS many paths exist in partnership and students are guided to find paths that are most effective for them.The school is committed to building a dynamic learning community that nurtures independent learning, innovation and creativity',
            'principal_detail'=> 'Cultivate the leaders of tomorrow, today; to enrich each student’s academic and personal development whilst upholding values of integrity; to deepen each students understanding of the complexities of the world; to nurture each student to reach his or her fullest potential.',
            'principal_image'=> $url.'/school/school-images/Nirja-Modi-International-School/principal/mr-ak-sharma.jpg',
            'facilities'=> 'Throw Ball, Shooting Range, Cricket Field, Computer Rooms, Hours Ridding, Athletic Track, Science Labs, Tennis Court',
            'features'=> 'Inter-house Competitions, Quizzes, Natinal Level Competitions, Debates, State Level Competitions, Social Programs'
        );
        $schoolArray['top_student'] = array();
        $schoolArray['achievements'] = array();
        $schoolArray['gallery'] = array();
        $schoolArray['fee_structure'] = array();
        
        $result['status']  =  true;
        $result['message'] =  "School Details";
        $result['data']    =  $schoolArray;
        return response()->json(['result' => $result], 200);
    }
}
