<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Auth;
// use Illuminate\Auth\Middleware\Authenticate as Middleware;

class AppuserAuthenticate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        // Auth::shouldUse('appuser-api');
        if ($request->hasHeader('authorization')) {
            return app(Authenticate::class)->handle(
                $request,
                function ($request) use ($next) {
                    return $next($request);
                },
                'appuser-api'
            );
        }
        return $next($request);
    }

    protected function authenticate($request, array $guards)
    {        
        if ($this->auth->guard('appuser-api')->check()) {
            return $this->auth->shouldUse('appuser-api');
        }

        $this->unauthenticated($request, ['appuser-api']);
    }
}
