<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('app_users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('mobile')->nullable();
            $table->rememberToken();
            $table->string('forgot_password_token')->nullable();
            $table->timestamp('forgot_password_expire_at')->nullable();
            $table->integer('otp')->nullable();
            $table->string('otp_send_to')->nullable();
            $table->timestamp('otp_expire_at')->nullable();
            $table->string('profile_image')->nullable();
            $table->mediumInteger('status')->default(707);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('app_users');
    }
};
