@extends('admin.layouts.login')

@section('content')
<div class="container-fluid p-0">
    <div class="row g-0">
        <div class="col-lg-4">
            <div class="authentication-page-content p-4 d-flex align-items-center min-vh-100">
                <div class="w-100">
                    <div class="row justify-content-center">
                        <div class="col-lg-9">
                            <div>
                                <div class="text-center">
                                    <div>
                                        <a href="{{ url('/admin/login') }}" class="">
                                            <img src="{{ asset('admin/images/logo.png') }}" alt="" height="55" class="auth-logo logo-dark mx-auto">
                                        </a>
                                    </div>

                                    <h4 class="font-size-18 mt-4">Welcome Back !</h4>
                                    <p class="text-muted">Sign in to continue to Vidhaalay.</p>
                                </div>
                                
                                <div class="p-2">
                                    @if(Session::get('error'))
                                        <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                            <i class="mdi mdi-alert-outline me-2"></i>
                                            {{ Session::get('error') }}
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                        </div>
                                    @endif
                                    <form method="POST" action="{{ route('admin.auth') }}">
                                        @csrf
                                        <div class="mb-3 auth-form-group-custom mb-4">
                                            <i class="ri-mail-line auti-custom-input-icon"></i>
                                            <label for="email">{{ __('Email Address') }}</label>
                                            <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" placeholder="{{ __('Enter email address') }}" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                            @error('email')
                                                <span class="invalid-feedback">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                
                                        <div class="mb-3 auth-form-group-custom mb-4">
                                            <i class="ri-lock-2-line auti-custom-input-icon"></i>
                                            <label for="password">{{ __('Password') }}</label>
                                            <input type="password" id="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                                            @error('password')
                                                <span class="invalid-feedback">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                
                                        <div class="form-check">
                                            <input type="checkbox" class="form-check-input" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                            <label class="form-check-label" for="remember">{{ __('Remember Me') }}</label>
                                        </div>

                                        <div class="mt-4 text-center">
                                            <button class="btn btn-primary w-md waves-effect waves-light" type="submit">{{ __('Log In') }}</button>
                                        </div>
                                        @if (Route::has('password.request'))
                                        <div class="mt-4 text-center">
                                            <a href="{{ route('password.request') }}" class="text-muted"><i class="mdi mdi-lock me-1"></i> Forgot your password?</a>
                                        </div>
                                        @endif
                                    </form>
                                </div>

                                <div class="mt-5 text-center">
                                    <p>© <script>document.write(new Date().getFullYear())</script> Vidhaalay. Crafted with <i class="mdi mdi-heart text-danger"></i> by Vidhaalay Info Tech</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-8">
            <div class="authentication-bg">
                <div class="bg-overlay"></div>
            </div>
        </div>
    </div>
</div>
@endsection
