@extends('admin.layouts.list')

@section('content')
<div class="container-fluid">
   <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Admin User List</h4>

                <div class="page-title-right">
                    <!-- <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Tables</a></li>
                        <li class="breadcrumb-item active">Data Tables</li>
                    </ol> -->
                    <a href="{{ url('/admin/user') }}" class="btn btn-success waves-effect waves-light">
                        <i class="fas fa-plus align-middle ms-2"></i> Add User
                    </a>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->
    
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                        <thead>
                        <tr>
                            <th>Sr. No</th>    
                            <th>Username</th>
                            <th>Fullname</th>
                            <th>Email</th>
                            <th>Role</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($adminsListData AS $admin)
                        <tr>
                            <td>{{$loop->iteration}}</td>
                            <td>{{$admin->username}}</td>
                            <td>{{$admin->name}}</td>
                            <td>{{$admin->email}}</td>
                            <td>Admin</td>
                            <td>
                                @if($admin->status == 707)
                                <span class="badge bg-success" style="font-size: 100% !important">Active</span>
                                @else
                                <span class="badge bg-danger" style="font-size: 100% !important">Inactive</span>
                                @endif
                            </td>
                            <td>
                                <a href="javascript:void(0);" class="btn btn-outline-primary btn-sm edit" title="Edit">
                                    <i class="fas fa-pencil-alt"></i>
                                </a>
                                <a href="javascript:void(0);" class="btn btn-outline-primary btn-sm delete" title="Edit">
                                    <i class="fas fa-trash-alt"></i>
                                </a>
                            </td>
                        </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->
</div>
@endsection