@extends('school.layouts.login')

@section('content')
<div class="login-page-content">
    <div class="login-box">
        <div class="item-logo">
            <img src="{{ asset('school/images/logo.png') }}" alt="logo">
        </div>
        <form action="{{ route('school.auth') }}" method="POST" class="login-form">
            @csrf
            @if(Session::get('error'))
            <div class="ui-alart-box">
                <div class="dismiss-alart">
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        {{ Session::get('error') }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                </div>
            </div>
            @endif
            <div class="form-group">
                <label>Email</label>
                <input type="email" name="email" placeholder="Enter email" class="form-control">
                <i class="far fa-envelope"></i>
            </div>
            <div class="form-group">
                <label>Password</label>
                <input type="password" name="password" placeholder="Enter password" class="form-control">
                <i class="fas fa-lock"></i>
            </div>
            <div class="form-group d-flex align-items-center justify-content-between">
                <div class="form-check">
                    <input type="checkbox" class="form-check-input" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                    <label for="remember-me" class="form-check-label">{{ __('Remember Me') }}</label>
                </div>
                <a href="#" class="forgot-btn">Forgot Password?</a>
            </div>
            <div class="form-group">
                <button type="submit" class="login-btn">Login</button>
            </div>
        </form>
        <div class="login-social">
            <p>or sign in with</p>
            <ul>
                <li><a href="#" class="bg-fb"><i class="fab fa-facebook-f"></i></a></li>
                <li><a href="#" class="bg-twitter"><i class="fab fa-twitter"></i></a></li>
                <li><a href="#" class="bg-gplus"><i class="fab fa-google-plus-g"></i></a></li>
                <li><a href="#" class="bg-git"><i class="fab fa-github"></i></a></li>
            </ul>
        </div>
    </div>
    <div class="sign-up">Don't have an account ? <a href="#">Signup now!</a></div>
</div>
@endsection