@extends('school.layouts.login')

@section('content')
<div class="login-page-content">
    <div class="login-box" style="width: 70% !important">
        <div class="item-logo">
            <img src="{{ asset('school/images/logo.png') }}" alt="logo">
        </div>
        <form action="{{ url('school/register') }}" class="login-form was-validated" method="post">
            @csrf

            @if(Session::get('success'))
            <div class="ui-alart-box">
                <div class="dismiss-alart">
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        {{ Session::get('success') }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                </div>
            </div>
            @endif
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>School Name *</label>
                        <input type="text" name="school_name" placeholder="Enter school name" class="form-control" required>
                        <i class="fa fa-university"></i>
                        @error('school_name')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Email *</label>
                        <input type="email" name="email" placeholder="Enter email" class="form-control" required>
                        <i class="far fa-envelope"></i>
                        @error('email')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Mobile *</label>
                        <input type="text" name="mobile" placeholder="Enter mobile" class="form-control" required>
                        <i class="fa fa-phone"></i>
                        @error('mobile')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Alternate Mobile Number</label>
                        <input type="text" name="alt_mobile" placeholder="Enter alternate mobile number" class="form-control">
                        <i class="fa fa-phone"></i>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Password *</label>
                        <input type="password" name="password" placeholder="Enter password" class="form-control">
                        <i class="fas fa-lock"></i>
                        @error('password')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Confirm Password *</label>
                        <input type="password" placeholder="Enter confirm password" class="form-control">
                        <i class="fas fa-lock"></i>
                        @error('password')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="form-group">
                <button type="submit" class="login-btn">Sign-Up</button>
            </div>
        </form>
    </div>
    <div class="sign-up">Already Have an account ? <a href="{{ url('school/login') }}">Login now!</a></div>
</div>
@endsection