@extends('school.layouts.form')

@section('content')
<!-- Breadcubs Area Start Here -->
<div class="breadcrumbs-area">
    <h3>Teacher</h3>
    <ul>
        <li>
            <a href="{{ url('school/dashboard') }}">Home</a>
        </li>
        <li>Add New Teacher</li>
    </ul>
</div>
<!-- Breadcubs Area End Here -->
<!-- Add New Teacher Area Start Here -->
<div class="card height-auto">
    <div class="card-body">
        <div class="heading-layout1">
            <div class="item-title">
                <h3>Add New Teacher</h3>
            </div>
        </div>
        <form class="new-added-form was-validated" method="POST" action="{{ url('school/teacher') }}">
            @csrf
            <div class="row">
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>First Name *</label>
                    <input type="text" name="firstName" placeholder="First Name" class="form-control" required>
                    @error('firstName')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Last Name *</label>
                    <input type="text" name="lastName" placeholder="Last Name" class="form-control" required>
                    @error('lastName')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Gender *</label>
                    <select class="select2" name="gender" required>
                        <option value="">Please Select Gender *</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                        <option value="Others">Others</option>
                    </select>
                    @error('gender')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Date Of Birth *</label>
                    <input type="text" name="dob" placeholder="dd/mm/yyyy" class="form-control air-datepicker" required>
                    <i class="far fa-calendar-alt"></i>
                    @error('dob')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>ID No</label>
                    <input type="text" name="idNumber" placeholder="ID No" class="form-control" required>
                    @error('idNumber')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Blood Group *</label>
                    <select class="select2" name="bloodGroup" required>
                        <option value="">Please Select Group *</option>
                        <option value="A+">A+</option>
                        <option value="A-">A-</option>
                        <option value="B+">B+</option>
                        <option value="B-">B-</option>
                        <option value="O+">O+</option>
                        <option value="O-">O-</option>
                    </select>
                    @error('bloodGroup')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Religion *</label>
                    <select class="select2" name="religion" required>
                        <option value="">Please Select Religion *</option>
                        <option value="Islam">Islam</option>
                        <option value="Hindu">Hindu</option>
                        <option value="Christian">Christian</option>
                        <option value="Buddish">Buddish</option>
                        <option value="Others">Others</option>
                    </select>
                    @error('religion')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>E-Mail *</label>
                    <input type="email" name="email" placeholder="Email" class="form-control" required>
                    @error('email')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Aadhar card number *</label>
                    <input type="text" name="aadharCard" placeholder="Aadhar card number" class="form-control" required>
                    @error('aadharCard')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Phone *</label>
                    <input type="text" name="mobile" placeholder="Phone" class="form-control" required>
                    @error('mobile')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Alternative Number</label>
                    <input type="text" name="altNumber" placeholder="Alternative Number" class="form-control">
                    @error('altNumber')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Year's of experience *</label>
                    <input type="text" name="yearExperience" placeholder="Year's of experience" class="form-control" required>
                    @error('yearExperience')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-xl-3 col-lg-6 col-12 form-group">
                    <label>Address</label>
                    <input type="text" name="address" placeholder="Address" class="form-control">
                    @error('address')
                        <div class="invalid-feedback">
                            {{ $message }}
                        </div>
                    @enderror
                </div>
                <div class="col-12 form-group mg-t-8">
                    <button type="submit" class="btn-fill-lg btn-gradient-yellow btn-hover-bluedark">Save</button>
                    <button type="reset" class="btn-fill-lg bg-blue-dark btn-hover-yellow">Reset</button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- Add New Teacher Area End Here -->
@endsection