@extends('school.layouts.app')

@section('content')
<!-- Breadcubs Area Start Here -->
<div class="breadcrumbs-area">
    <h3>Teacher</h3>
    <ul>
        <li>
            <a href="{{ url('school/dashboard') }}">Home</a>
        </li>
        <li>All Teachers</li>
    </ul>
</div>
<!-- Breadcubs Area End Here -->
<!-- Teacher Table Area Start Here -->
<div class="card height-auto">
    <div class="card-body">
        <div class="heading-layout1">
            <div class="item-title">
                <h3>All Teachers Data</h3>
            </div>
            <div class="dropdown">
                <a href="{{ url('school/teacher') }}" class="btn-fill-md text-light bg-dark-pastel-green radius-4"><i class="fas fa-plus mg-l-15"></i>&nbsp;&nbsp;Add Teacher</a>
            </div>
        </div>
        <form class="mg-b-20">
            <div class="row gutters-8">
                <div class="col-3-xxxl col-xl-3 col-lg-3 col-12 form-group">
                    <input type="text" placeholder="Search by ID ..." class="form-control">
                </div>
                <div class="col-4-xxxl col-xl-4 col-lg-3 col-12 form-group">
                    <input type="text" placeholder="Search by Name ..." class="form-control">
                </div>
                <div class="col-4-xxxl col-xl-3 col-lg-3 col-12 form-group">
                    <input type="text" placeholder="Search by Phone ..." class="form-control">
                </div>
                <div class="col-1-xxxl col-xl-2 col-lg-3 col-12 form-group">
                    <button type="submit" class="fw-btn-fill btn-gradient-yellow">SEARCH</button>
                </div>
            </div>
        </form>
        <div class="table-responsive">
            @if ($message = Session::get('success'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{ $message }}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            @endif
            <table class="table display data-table">
                <thead>
                    <tr>
                        <th>Sr. No</th>
                        <th>Id</th>
                        <th>Full Name</th>
                        <th>E-mail</th>
                        <th>Phone</th>
                        <th>Gender</th>
                        <th>Status</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($teacherListData AS $teacher)
                    <tr>
                        <td>{{$loop->iteration}}</td>
                        <!-- <td class="text-center"><img src="images/student2.png" alt="student"></td> -->
                        <td>{{$teacher->uid}}</td>
                        <td>{{$teacher->first_name}} {{$teacher->last_name}}</td>
                        <td>{{$teacher->email}}</td>
                        <td>{{$teacher->mobile}}</td>
                        <td>{{$teacher->gender}}</td>
                        <td>
                            @if($teacher->status == 707)
                            <span class="badge bg-success" style="font-size: 100% !important">Active</span>
                            @else
                            <span class="badge bg-danger" style="font-size: 100% !important">Inactive</span>
                            @endif
                        </td>
                        <td>
                            <a href="javascript:void(0);" class="btn btn-outline-primary btn-sm edit" title="Edit">
                                <i class="fas fa-pencil-alt"></i>
                            </a>
                            <a href="javascript:void(0);" class="btn btn-outline-primary btn-sm delete" title="Edit">
                                <i class="fas fa-trash-alt"></i>
                            </a>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
<!-- Teacher Table Area End Here -->
@endsection