<?php
Auth::routes();

Route::group(['middleware' => 'prevent-back-history'],function(){
    Route::group(['prefix' => 'admin'], function() {
        Route::group(['middleware' => 'admin.guest'], function(){
            Route::view('/','admin.pages.login')->name('admin.pages.login');
            Route::view('/login','admin.pages.login')->name('admin.pages.login');
            Route::post('/login',[App\Http\Controllers\Admin\AdminController::class, 'authenticate'])->name('auth');
        });
        
        Route::group(['middleware' => 'admin.auth'], function(){
            Route::get('/dashboard',[App\Http\Controllers\Admin\DashboardController::class, 'dashboard'])->name('pages.dashboard');
            Route::get('/logout', [App\Http\Controllers\Admin\AdminController::class, 'logout'])->name('logout');

            /* ========Start Admin User Routes======= */
            Route::get('/displayuser',[App\Http\Controllers\Admin\AdminController::class, 'index'])->name('admin.pages.users.user-list');
            Route::view('/user','admin.pages.users.add-user')->name('admin.pages.users.add-user');
            Route::post('/user',[App\Http\Controllers\Admin\AdminController::class, 'store'])->name('store');
            /* ========End Admin User Routes======= */

            /* ========Start Admin Role Routes======= */
            // Route::get('/displayrole',[App\Http\Controllers\Admin\AdminController::class, 'index'])->name('admin.pages.roles.role-list');
            // Route::view('/role','admin.pages.roles.add-role')->name('admin.pages.roles.add-role');
            /* ========End Admin Role Routes======= */
        });
    });
});