<?php
Auth::routes();

Route::group(['middleware' => 'prevent-back-history'],function(){
    Route::group(['prefix' => 'school'], function() {
        Route::group(['middleware' => 'school.guest'], function(){
            Route::view('/','school.pages.login')->name('school.pages.login');
            Route::view('/login','school.pages.login')->name('school.pages.login');
            Route::post('/login',[App\Http\Controllers\School\SchoolController::class, 'authenticate'])->name('auth');
            Route::view('/register','school.pages.register')->name('school.pages.register');
            Route::post('/register',[App\Http\Controllers\School\SchoolController::class, 'store'])->name('store');
        });
        
        Route::group(['middleware' => 'school.auth'], function(){
            Route::get('/dashboard',[App\Http\Controllers\School\DashboardController::class, 'dashboard'])->name('pages.dashboard');
            Route::get('/logout', [App\Http\Controllers\School\SchoolController::class, 'logout'])->name('logout');

            /* ========Start School Teacher Routes======= */
            Route::get('/displayteacher',[App\Http\Controllers\School\TeacherController::class, 'index'])->name('school.pages.teachers.teacher-list');
            Route::view('/teacher','school.pages.teachers.add-teacher')->name('school.pages.teachers.add-teacher');
            Route::post('/teacher',[App\Http\Controllers\School\TeacherController::class, 'store'])->name('store');
            /* ========End School Teacher Routes======= */

            /* ========Start Admin Role Routes======= */
            // Route::get('/displayrole',[App\Http\Controllers\Admin\AdminController::class, 'index'])->name('admin.pages.roles.role-list');
            // Route::view('/role','admin.pages.roles.add-role')->name('admin.pages.roles.add-role');
            /* ========End Admin Role Routes======= */
        });
    });
});